HE910-EUG

10 thoughts on “HE910-EUG

  1. If I wanted to use Python 2.7.2 with the HE910-EUG module, under AppZone, which firmware do I need? 12.00.xxy?

    1. Hi Tom, the latest in DZ is .xx7 but I think you can obtain already .xx8 via your Telit representative (or ts-emea@telit.com). Mention you want Py version but maybe you’ll want C version just to taste it.

      1. Thanks Cosmin. I went to Download Zone and found the following versions, which I believe are, or maybe is, relevant for the HE910-EUG:

           stream_HE910_EUG-12.00.216
           stream_HE910_G-12.00.007
           stream_HE910_G-AZ-12.00.006
           (none of 12.00.xx8)

        Can you please explain some of the symbolics here?
        1. What is the difference between 12.00.21y and 12.00.00y?
        2. Can I use whatever “HE910_G-” fw for my HE910-EUG?
        3. Obviously “AZ” is for AppZone. But AppZone also supports Python, right? At least there is documentation like
           “Telit_IoT_AppZonePython-User Guide”.

        1. stream_HE910_G-12.00.007 is the right one for you. The Appzone C firmware is labeled AZ, the Py version has no label; from the development environment view both option are included in Appzone name and are “perspectives” in Eclipse.

          The Appzone C console in Eclipse’s ADE can automatically download and start firmware upload of the latest 12.00.xx8, I am not sure about the Py console (connect the HE910 and click autoconnect in console).

        2. Thanks Cosmin. I went to Download Zone and found the following versions, which I believe are, or maybe is, relevant for the HE910-EUG:

             stream_HE910_EUG-12.00.216
             stream_HE910_G-12.00.007
             stream_HE910_G-AZ-12.00.006
             (none of 12.00.xx8)

          Can you please explain some of the symbolics here?
          1. What is the difference between 12.00.21y and 12.00.00y?
          2. Can I use whatever “HE910_G-” fw for my HE910-EUG?
          3. Obviously “AZ” is for AppZone. But AppZone also supports Python, right? At least there is documentation like
             “Telit_IoT_AppZonePython-User Guide”.

          Just to clarify a little bit more.

          if you have an HE910-EUG you can use only stream files labeled with HE910-EUG, and the same for any other module.

          The HE910-G is a pentaband 3G, 21/5.7Mb HSPA supporting voice, GPS and antenna diversity

          The HE910-EUG is a triband 3G, 7.2/5.7Mb HSPA supporting GPS (no voice, no antenna div)

          About your questions:

          1) The firmware xx.yy.zzw has the following meaning:

          xx = SW platform

          yy = SW major changes

          zz = product variant

          w  = SW minor changes

          In this case 21 is the EUG variant and 00 is the G variant

          2) No for the reasons explained above

          3) As wrote by Cosmin, AZ label is Appzone C. Python has no label. This is valid for all the firmwares up to 12.00.xx7

          From 12.00.xx8 the default programming language is Appzone C, so stream file stream_HE910_EUG-12.00.218 has AppZone C inside.

          1. There is “Telit Delta SW 12.00.001 12.00.008 r7” describing changes between versions and on Python between .xx7 to .xx8 we only have:


            ID#420 AppZone C supported as the default Application Development Environment in place of Python, which will be supported on demand on specific SW versions only.

          2. LE910 series don’t have Python since the beginning.

            About the 3G modules HE910/UE910/UL865/UE866 the default ADE is now AppZone C, so latest official version with Python is 12.00.xx7.

            If you need Python on newer versions (12.00.xx8) please discuss with you Telit Sales representative or distributor.

          3. Well that’s very disappointing. We have put a lot of time I to our Python code. This is the first time we heard that Telit are deprecating python.